/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: cbtclosechk.js,v 1.1.2.1 2016/03/15 16:13:56 dvardhan Exp $ */
 
/*
 * ABC 04/08/02 - don't attach events directly to objects -> use the DynAPI event model
 *                to call the events handlers below - see BaseContentComponent
 *
 */

/*
 *  CBTKeyEventHandler()
 *    - intercept F5, Ctrl-R and supress them
 */
function CBTKeyEventHandler(e)
{
    if (document.layers)
    {
        // do we care about ns4?  i don't ;)
    }
    else
    {
        switch (e.orig.keyCode)
        {
            // F5
            case (116):
                if (is.ie) e.orig.keyCode = -1;
                e.orig.returnValue = false;
                break;

            // CTRL-R
            case (82):
                if (e.orig.ctrlKey)
                {
                    if (is.ie) e.orig.keyCode = -1;
                    e.orig.returnValue = false;
                }
                break;

            default:
                // nada
        }
    }
}

/*
 *  CBTMouseEventHandler()
 *    - supress Right Click events
 */
function CBTMouseEventHandler(e)
{
    if (e.button == 3)
    {
        e.cancelBrowserEvent();
    }
}