/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: glossarybutton.js,v 1.1.2.1 2016/03/15 16:13:56 dvardhan Exp $ */
 
function glossaryButton( ) {

	this.clicked = goGlossary;
}

var GlossaryBtn = new glossaryButton();

function goGlossary() 
{
	glossaryType = glossaryType.toLowerCase();
	if (glossaryType == "embedded")  {
		NewExternalContainer(glossaryUrl);
	}
	else if (glossaryType == "content")  {
		    NewContent(glossaryUrl);
	}
	else if (glossaryType == "grouping")  {
		    NewGrouping(glossaryUrl);
	}
	else if (glossaryType == "topic")  {
		    NewPage(glossaryUrl);
	}
	else if (glossaryType ==  "learning object")  {
		    NewLO(glossaryUrl);
	}
	else if (glossaryType ==  "url")  {
		if (glossaryUrl != "")  {
		  var pos = glossaryUrl.indexOf("://");
		  if (pos < 0) {
			alert("The URL for the glossary appears invalid.  Contact the Site Adminstrator to correct it.");
		  } else {
			popup = window.open(glossaryUrl,"GlossaryWin","scrollbars=yes,width=550,height=500,top=70,left=220,resizable=yes");
		  }
		} else  {
			alert("No Glossary currently available");
		}
	} else  {
		alert("No Glossary currently available");
	}
	return 0;
}